Пакет cryptsetup: Информация

Исходный пакет: cryptsetup
Версия: 2.3.5-alt2
Собран:  17 июля 2021 г. 11:41 в задании #279413
Сообщить об ошибке в пакете
Домашняя страница: https://gitlab.com/cryptsetup/cryptsetup/

Лицензия: GPLv2+ and LGPLv2+
О пакете: Utility to setup a encrypted disks with LUKS support
Описание: 
LUKS ( Linux Unified Key Setup ) is the upcoming standard for
Linux disk encryption. By providing a standard on-disk-format,
it does not only facilitate compatibility among distributions,
but also provide secure management of multiple user passwords.
In contrast to existing solution,  LUKS stores all  necessary
setup information  in the partition header, enabling the user
to transport or migrate his data seamlessly.

This package contains cryptsetup utility to setup a encrypted
disks based on  dm-crypt  module for 2.6 kernel, with support
for LUKS infrastructure. Also cryptsetup can handle old 2.4.x
cryptoloop devices.

Список rpm-пакетов, предоставляемых данным srpm-пакетом:
cryptsetup (x86_64, ppc64le, i586, armh, aarch64)
cryptsetup-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
libcryptsetup (x86_64, ppc64le, i586, armh, aarch64)
libcryptsetup-debuginfo (x86_64, ppc64le, i586, armh, aarch64)
libcryptsetup-devel (x86_64, ppc64le, i586, armh, aarch64)

Сопровождающий: Nikolay A. Fetisov


    1. libpasswdqc-devel
    2. libsystemd-devel
    3. libpopt-devel
    4. libudev-devel
    5. libjson-c-devel >= 0.12.1-alt2
    6. libuuid-devel
    7. libargon2-devel
    8. libdevmapper-devel
    9. libblkid-devel
    10. libselinux-devel
    11. libssl-devel >= 0.9.8

Последнее изменение


17 июля 2021 г. Nikolay A. Fetisov 2.3.5-alt2
- Fix status message in the cryptdisks init script (Closes: 31052)
11 марта 2021 г. Dmitry V. Levin 2.3.5-alt1
- 2.3.4 -> 2.3.5 (enhanced libpasswdqc 2.0.x support).
14 ноября 2020 г. Alexey Shabalin 2.3.4-alt1
- 2.3.4 (Fixes: CVE-2020-14382)